Results 1 to 3 of 3

Thread: Game Flash Player

  1. #1

    Default Game Flash Player

    I have Flash Player 11.2, but when I wish to enter in game show an error

    Welcome to Forge of Empires

    To view this page ensure that Adobe Flash Player version 11.2 or greater is installed.

    I use Google Chrome.
    Thanks.

  2. #2
    Chief Warrant Officer Seekhunt's Avatar
    Join Date
    Mar 2012
    Location
    Odense - Denmark
    Posts
    286

    Default

    Hmm...

    Try to delete your browser cache and cookies for a start, maybe the game have not recognized your system yet.

  3. #3

    Default

    What is the exact version number of your Chrome browser and what is your Operating System?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •